Last modified: 2014-01-03 15:57:05 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 25408 - Write style guide for function inline commenting
Write style guide for function inline commenting
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Documentation (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: documentation
  Show dependency treegraph
 
Reported: 2010-10-03 22:43 UTC by Sam Reed (reedy)
Modified: 2014-01-03 15:57 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Sam Reed (reedy) 2010-10-03 22:43:41 UTC
Assigning to Zak (hope he doesn't mind).

Some places we're using

* @param $action \type{\string}

others it's

* @param $action string
Comment 1 Chad H. 2010-10-03 22:44:54 UTC
I thought the [[mw:Manual:Coding_conventions]] already covered Doxygen syntax? If not, that'd be where it should go :)
Comment 2 Sam Reed (reedy) 2010-10-03 23:05:34 UTC
http://www.mediawiki.org/wiki/Manual:Coding_conventions

Yeah, it's there, but it should be more verbose, list some common types, etc
Comment 3 Zak Greant 2010-10-04 16:42:52 UTC
Thanks! I've got this in my todo list now.
Comment 4 Zak Greant 2010-11-17 23:38:21 UTC
I there any reason that we shouldn't drop PHPDoc compatibility?

* We generate the docs (which means that most people don't need to generate docs)
* The devs that do want to generate docs will usually use mwdocgen.php
* The devs that don't want to use mwdocgen.php or doxygen will have to put in an extra step of converting from Doxygen syntax to whatever syntax they want to use
Comment 5 p858snake 2011-07-15 12:39:44 UTC
Assignee: Zak -> Default (Wikibugs-l)
Comment 6 Bartosz Dziewoński 2013-10-28 12:57:13 UTC
[[mw:Manual:Coding_conventions/PHP#Comments_and_documentation]] seems to be pretty clear about this today. Closing.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links